petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscStageLogSetActive

This function determines whether events will be logged during this state.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStageLogSetActive(PetscStageLog stageLog, int stage, PetscBool isActive)

Not Collective

### Input Parameters

| stageLog | - The PetscStageLog
| stage | - The stage to log
| isActive | - The activity flag, PETSC_TRUE for logging, otherwise PETSC_FALSE (default is PETSC_TRUE)

### Keywords

log, active, stage

### See Also

PetscStageLogGetActive(), PetscStageLogGetCurrent(), PetscStageLogRegister(), PetscLogGetStageLog()

Level:developer
Location:src/sys/logging/utils/stagelog.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages